Subject: Re: [PATCH 11/16] config: add --literal-match option

From: Junio C Hamano <[email-masked]>
Date: Wed, 12 Mar 2008 15:34:51 -0700

Jeff King <[email-masked]> writes:

> When limiting the values to be set (or returned), the user
> previously had the option of specifying a regex. In some
> cases, however, they may want to find a literal value. The
> option --literal-match converts any matching regex into a
> literal string comparison.
>
> Signed-off-by: Jeff King <[email-masked]>
> ---
> I think this is a nice addition regardless, but it is used by the next
> patch.
>
> The patch is about twice as long as it needs to be since getting and
> setting in builtin-config follow two almost-the-same parallel codepaths.
> I suspect this could be cleaned up, but I didn't look too closely.

I think that is a good new feature to propose.

Historically, the config_set_multivar() function has been one of the most
buggy part of the then-current codebase.  It might be a good idea to
clean-up first and then enhance.

But in either case I am quite reluctant to touch this part of the code
right now before 1.5.5, especially without extra sets of eyeballs.